<div class="d-flex justify-content-between align-items-center">
  <button
    matTooltip="Add New Employee"
    (click)="handleButtonAdd()"
    mat-fab
    color="accent"
  >
    <mat-icon color="primary">add</mat-icon>
  </button>

  <mat-form-field class="filter">
    <mat-label class="filter-text">Filter</mat-label>
    <input
      matInput
      (keyup)="applyFilter($event)"
      placeholder="Ex. Mia"
      #input
      [value]="dataFilter || ''"
    />
  </mat-form-field>
</div>

<section class="example-container p-1" tabindex="0">
  <table class="mat-elevation-z8" mat-table [dataSource]="dataSource" matSort>
    <ng-container matColumnDef="username">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Username</th>
      <td mat-cell *matCellDef="let row">{{ row.username }}</td>
    </ng-container>

    <ng-container matColumnDef="firstName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>First Name</th>
      <td mat-cell *matCellDef="let row">{{ row.firstName }}</td>
    </ng-container>

    <ng-container matColumnDef="lastName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Last Name</th>
      <td mat-cell *matCellDef="let row">{{ row.lastName }}</td>
    </ng-container>

    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Email</th>
      <td mat-cell *matCellDef="let row">{{ row.email }}</td>
    </ng-container>

    <ng-container matColumnDef="birthDate">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Birth Date</th>
      <td mat-cell *matCellDef="let row">{{ row.birthDate.toLocaleString() }}</td>
    </ng-container>

    <ng-container matColumnDef="basicSalary">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Basic Salary</th>
      <td mat-cell *matCellDef="let row">{{ row.basicSalary }}</td>
    </ng-container>

    <ng-container matColumnDef="status">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Status</th>
      <td mat-cell *matCellDef="let row">{{ row.status }}</td>
    </ng-container>

    <ng-container matColumnDef="group">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Group</th>
      <td mat-cell *matCellDef="let row">{{ row.group }}</td>
    </ng-container>

    <ng-container matColumnDef="description">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Description</th>
      <td mat-cell *matCellDef="let row">{{ row.description.toLocaleString() }}</td>
    </ng-container>

    <ng-container matColumnDef="action" stickyEnd>
      <th mat-header-cell *matHeaderCellDef>Action</th>
      <td mat-cell *matCellDef="let row">
        <button type="button" matTooltip="View" mat-icon-button (click)="handleView(row)">
          <mat-icon>list</mat-icon>
        </button>

        <button type="button" matTooltip="Edit" mat-icon-button (click)="handleEdit()">
          <mat-icon class="yellow-icon">edit</mat-icon>
        </button>

        <button type="button" matTooltip="Delete" mat-icon-button (click)="handleDelete()">
          <mat-icon color="warn">delete</mat-icon>
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="4">
        <span class="white-text">
          No data matching the filter "{{ input.value }}"
        </span>
      </td>
    </tr>
  </table>
  <mat-paginator
    [pageSizeOptions]="[10, 25, 100]"
    aria-label="Select page of users"
  ></mat-paginator>
</section>
